# Uses of Class
java.security.CodeSource

Packages that use CodeSource
Package
Description
java.net
Provides the classes for implementing networking applications.
java.security
Provides the classes and interfaces for the security framework.

## Uses of CodeSource in java.net

Methods in java.net with parameters of type CodeSource
Modifier and Type
Method
Description
`protected PermissionCollection`
URLClassLoader.`getPermissions(CodeSource codesource)`
Returns the permissions for the given codesource object.

## Uses of CodeSource in java.security

Methods in java.security that return CodeSource
Modifier and Type
Method
Description
`final CodeSource`
ProtectionDomain.`getCodeSource()`
Returns the `CodeSource` of this domain.
Methods in java.security with parameters of type CodeSource
Modifier and Type
Method
Description
`protected final Class<?>`
SecureClassLoader.`defineClass(String name, byte[] b, int off, int len, CodeSource cs)`
Converts an array of bytes into an instance of class `Class`, with an optional CodeSource.
`protected final Class<?>`
SecureClassLoader.`defineClass(String name, ByteBuffer b, CodeSource cs)`
Converts a `ByteBuffer` into an instance of class `Class`, with an optional CodeSource.
`protected PermissionCollection`
PolicySpi.`engineGetPermissions(CodeSource codesource)`
Deprecated, for removal: This API element is subject to removal in a future version.
Return a PermissionCollection object containing the set of permissions granted to the specified CodeSource.
`PermissionCollection`
Policy.`getPermissions(CodeSource codesource)`
Deprecated, for removal: This API element is subject to removal in a future version.
Return a PermissionCollection object containing the set of permissions granted to the specified CodeSource.
`protected PermissionCollection`
SecureClassLoader.`getPermissions(CodeSource codesource)`
Returns the permissions for the given CodeSource object.
`boolean`
CodeSource.`implies(CodeSource codesource)`
Returns true if this `CodeSource` object "implies" the specified `CodeSource`.
Constructors in java.security with parameters of type CodeSource
Modifier
Constructor
Description
``
`ProtectionDomain(CodeSource codesource, PermissionCollection permissions)`
Creates a new `ProtectionDomain` with the given `CodeSource` and permissions.
``
`ProtectionDomain(CodeSource codesource, PermissionCollection permissions, ClassLoader classloader, Principal[] principals)`
Creates a new `ProtectionDomain` qualified by the given `CodeSource`, permissions, `ClassLoader` and array of principals.